{% extends 'shared/_site.html' %}

{% block keywords %}
{% load widget_tweaks %}

<meta name="keywords" content="{{ view.keywords }}" />
<meta name="description" content="{{ view.description }}" />

{% endblock %}

{% block scripts %}
<script>
    $(function() {
        $( "#id_wedding_date" ).datepicker();
    } );
</script>
{% endblock %}

{% block body %}

<main>
    <section class="">
        <nav aria-label="breadcrumb">
            <div class="crumb">
                <div class="container crumb">
                    <h2>{{ view.page_name }}</h2>
                    <ol>
                        <li class="crumb-item"><a href="{% url 'home' %}">Home</a></li>
                        <li class="crumb-item active" aria-current="page"><a href="#">{{ view.page_name }}</a></li>
                    </ol>
                </div>
            </div>
        </nav>
    </section>

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="contact">
                    <div class="card">
                        <h3>Get In Touch</h3>
                        <p>If you have any questions or require further information, please do not hesitate to
                            contact us on:</p>
                        <p>Email : <a href="mailto:{{ site.mail }}">{{ site.mail }}</a></p>
                        <p>Address: {{ site.address }}</p>
                        <p>Mobile : <a href="tel:{{ site.phone_number }}"> {{ site.phone_number }}</a></p>
                        <p>We look forward to hearing from you soon.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="contact-form">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    {% if messages %}
                        <div class="alert alert-success">
                            {% for message in messages %}
                            <p>{{ message }}</p>
                            {% endfor %}
                        </div>
                    {% endif %}
                    <form action="{% url 'contact' %}" method="POST">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Full Name</label>
                                    {% render_field form.full_name placeholder="name" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Subject</label>
                                    {% render_field form.subject placeholder="ceremony" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Email</label>
                                    {% render_field form.email placeholder="info@florisian..." class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Date of Wedding or Event</label>
                                    {% render_field form.wedding_date placeholder="Date of Wedding or Event" class="form-control form-control-lg rounded-lg" id="id_wedding_date"  %}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Phone Number</label>
                                    {% render_field form.phone_number placeholder="" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">What services are you intrested in</label>
                                    {% render_field form.services placeholder="" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">How did you hear about us</label>
                                    {% render_field form.from_where placeholder="" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label style="color:#f1a0ae;">Message</label>
                                    {% render_field form.message placeholder="I am ..." rows="8" class="form-control form-control-lg rounded-lg"  %}
                                </div>
                            </div>
                            <div class="col-md-12 text-center">
                                <button class="btn btn-primary btn-lg" type="submit">SEND</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

</main>
{% endblock %}